#!/bin/bash

res=`lupdate QCTrack* -no-obsolete -target-language de -ts ts/QCTrack_de.ts`
if [[ $res != *"(0 new"* ]]
then
  echo "ts/QCTrack_de.ts"
  echo -n "    "
  echo $res
  rm "ts/QCTrack_de.qm"
fi
for dir in `ls --hide QCTrack.js --hide updts.sh --hide ts`
do
  cd $dir
  res=`lupdate ${dir}* -no-obsolete -target-language de -ts ts/${dir}_de.ts`
  if [[ $res != *"(0 new"* ]]
  then
    rm "ts/${dir}_de.qm"
    echo "${dir}/ts/${dir}_de.ts"
    echo -n "    "
    echo $res
  fi
  cd ..
done

